/* @(#)dlfcn.h 1.1 89/09/04 SMI */

#ifndef	_dlfcn_h
#define	_dlfcn_h

#include <c_varieties.h>

/*
 * Copyright (c) 1989 Sun Microsystems, Inc.
 */

/*
 * Interface description for the contents of libdl -- simple programmer's
 * interfaces to the dynamic linker.
 */

/*
 * Manifest constants
 */
#define	RTLD_LAZY	1		/* deferred binding of procedures */

/*
 * Function declarations
 */
EXTERN_FUNCTION( extern	void *dlopen,		(char *,int));
				/* open and map a shared object */
EXTERN_FUNCTION( extern	void *dlsym,		(void *,char *));	
				/* obtain address of symbol */
EXTERN_FUNCTION( extern	int dlclose,		(void *));	
				/* remove a shared object */
EXTERN_FUNCTION( extern	char *dlerror,		());
				/* string representing last error */

#endif /* !_dlfcn_h */
