/*	@(#)kvm.h 2.2 88/02/08 SMI	*/
#ifndef __KVM_H
#define __KVM_H

#include <c_varieties.h>

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */

/* define a 'cookie' to pass around between user code and the library */
typedef struct _kvmd kvm_t;

/* libkvm routine definitions */
EXTERN_FUNCTION ( extern kvm_t		*kvm_open,	(char*, char*, char*, int, char*) );
EXTERN_FUNCTION ( extern int		 kvm_close,	(kvm_t*) );
EXTERN_FUNCTION ( extern int		 kvm_nlist,	(kvm_t*, struct nlist*) );
EXTERN_FUNCTION ( extern int		 kvm_read,	(kvm_t*, unsigned long, char*, unsigned) );
EXTERN_FUNCTION ( extern int		 kvm_write,	(kvm_t*, unsigned long, char*, unsigned) );
EXTERN_FUNCTION ( extern struct proc	*kvm_getproc,	(kvm_t*, int) );
EXTERN_FUNCTION ( extern struct proc	*kvm_nextproc,	(kvm_t*) );
EXTERN_FUNCTION ( extern int		 kvm_setproc,	(kvm_t*) );
EXTERN_FUNCTION ( extern struct user	*kvm_getu,	(kvm_t*, struct proc*) );
EXTERN_FUNCTION ( extern int		 kvm_getcmd,	(kvm_t*, struct proc*, struct user*, char***, char***) );

#endif
