/*
 * Copyright (c) 1980 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 */

/*	@(#)mp.h 1.6 88/02/07 SMI; from UCB 5.1 5/30/85	*/
#ifndef _mp_h
#define _mp_h
#include <c_varieties.h>

struct mint {
	int len;
	short *val;
};
typedef struct mint MINT;

EXTERN_FUNCTION ( extern MINT 	  *itom,	(short) );
EXTERN_FUNCTION ( extern MINT     *xtom,	(char*) );
EXTERN_FUNCTION ( extern char	  *mtox,	(MINT*) );
EXTERN_FUNCTION ( extern short    *xalloc,	(DOTDOTDOT) );
EXTERN_FUNCTION ( extern void	  mfree,	(MINT*) );				

#define	FREE(x)	xfree(&(x))		/* Compatibility */
 

/*
 *  Additional dcls to please c++.
 */

EXTERN_FUNCTION ( int 	madd,	(MINT*, MINT*, MINT*) );
EXTERN_FUNCTION ( int   msub,	(MINT*, MINT*, MINT*) );	
EXTERN_FUNCTION ( int	mult,	(MINT*, MINT*, MINT*) );
EXTERN_FUNCTION ( int	mdiv,	(MINT*, MINT*, MINT*, MINT*) );
EXTERN_FUNCTION ( int	min,	(MINT*) );
EXTERN_FUNCTION ( int	mout,	(MINT*) );
EXTERN_FUNCTION ( void  pow,	(MINT*, MINT*, MINT*, MINT*) );
EXTERN_FUNCTION ( int	gcd,	(MINT*, MINT*, MINT*) );
EXTERN_FUNCTION ( int	rpow,	(MINT*, short, MINT*) );
EXTERN_FUNCTION ( int	msqrt,	(MINT*, MINT*, MINT*) );
EXTERN_FUNCTION ( int	sdiv,	(MINT*, short, MINT*, short*) );
EXTERN_FUNCTION ( int 	mcmp,	(MINT *,MINT *));

#endif
