/*	@(#)pmap_rmt.h 1.4 89/07/26 SMI	*/

/*
 * Structures and XDR routines for parameters to and replies from
 * the portmapper remote-call-service.
 *
 * Copyright (C) 1986, Sun Microsystems, Inc.
 */

#ifndef _rpc_pmap_rmt_h
#define	_rpc_pmap_rmt_h

#include <c_varieties.h>

struct rmtcallargs {
	u_long prog, vers, proc, arglen;
	caddr_t args_ptr;
	xdrproc_t xdr_args;
};

EXTERN_FUNCTION( bool_t xdr_rmtcall_args,
		(struct sockaddr_in *, u_long, u_long, u_long,
		xdrproc_t, caddr_t, xdrproc_t, caddr_t,
		struct timeval, u_long *));

struct rmtcallres {
	u_long *port_ptr;
	u_long resultslen;
	caddr_t results_ptr;
	xdrproc_t xdr_results;
};

EXTERN_FUNCTION( bool_t xdr_rmtcallres,	(XDR *, struct rmtcallres *));

#endif /*!_rpc_pmap_rmt_h*/
