/*	@(#)rusers.h 1.7 88/09/28 SMI */

/* 
 * Copyright (c) 1984 by Sun Microsystems, Inc.
 */

#ifndef _rpcsvc_rusers_h
#define _rpcsvc_rusers_h

#include <c_varieties.h>

#define RUSERSPROC_NUM 1
#define RUSERSPROC_NAMES 2
#define RUSERSPROC_ALLNAMES 3
#define RUSERSPROG 100002
#define RUSERSVERS_ORIG 1
#define RUSERSVERS_IDLE 2
#define RUSERSVERS 2

#define MAXUSERS 100

struct utmparr {
	struct utmp **uta_arr;
	int uta_cnt;
};

struct utmpidle {
	struct utmp ui_utmp;
	unsigned ui_idle;
};

struct utmpidlearr {
	struct utmpidle **uia_arr;
	int uia_cnt;
};

EXTERN_FUNCTION( int xdr_utmparr,	(XDR *, struct utmparr *));
EXTERN_FUNCTION( int xdr_utmpidlearr,	(XDR *, struct utmpidlearr *));
EXTERN_FUNCTION( extern int rnusers,    (const char*)); 
EXTERN_FUNCTION( extern int rusers,     (char*, struct utmpidlearr*)); 

#endif /*!_rpcsvc_rusers_h*/
