/*	@(#)string.h 1.8 89/10/04 SMI; from S5R2 1.2	*/

#ifndef	__string_h
#define	__string_h

#include <c_varieties.h>
#include <sys/stdtypes.h>	/* for size_t */

#ifndef _memory_h
#include <memory.h>
#endif

#ifndef NULL
#define	NULL		0
#endif

EXTERN_FUNCTION(extern char *	strcat,		( char *, const char *));
EXTERN_FUNCTION(extern char *	strchr,		( const char *, int ));
EXTERN_FUNCTION(extern int	strcmp,		( const char *, const char *));
EXTERN_FUNCTION(extern char *	strcpy,		( char *, const char *));
EXTERN_FUNCTION(extern size_t	strcspn,	( const char *, const char *));
#ifndef	_POSIX_SOURCE
EXTERN_FUNCTION(extern char *	strdup,		( const char *));
#endif
EXTERN_FUNCTION(extern size_t	strlen,		( const char *));
EXTERN_FUNCTION(extern char *	strncat,	( char *, const char *, size_t ));
EXTERN_FUNCTION(extern int	strncmp,	( const char *, const char *, size_t ));
EXTERN_FUNCTION(extern char *	strncpy,	( char *, const char *, size_t ));
EXTERN_FUNCTION(extern char *	strpbrk,	( const char *, const char * ));
EXTERN_FUNCTION(extern char *	strrchr,	( const char *, int ));
EXTERN_FUNCTION(extern size_t	strspn,		( const char *, const char *));
EXTERN_FUNCTION(extern char *	strstr,		( const char *, const char *));
EXTERN_FUNCTION(extern char *	strtok,		( char *, const char *));

/*
 *  Additional decls to please C++.
 */
EXTERN_FUNCTION ( extern char *index,   (const char*, char) );
EXTERN_FUNCTION ( extern char *rindex,  (const char *, char) );
EXTERN_FUNCTION ( extern int   strcoll, (char*, char*));
EXTERN_FUNCTION ( extern int   strxfrm, (char*, char*, size_t));


#endif	/* !__string_h */
