/*	@(#)emptysw.h 10.4 88/02/08 SMI	*/

/*
 * Copyright (c) 1983 by Sun Microsystems, Inc.
 */

/*
 * A empty subwindow is simply a place holding window that simply
 * paints gray if it is the current owner of the window.
 */


#include <c_varieties.h>
#include <suntool/tool_struct.h>

struct emptysubwindow {
	int	em_windowfd;
	struct	pixwin *em_pixwin;
};

typedef struct emptysubwindow Emptysw;

/*
 * C Library routines specifically related to empty subwindow functions.
 */

/*
 * Empty subwindow operations.
 */
/* Create a notifier-based empty
 * subwindow.
 */
EXTERN_FUNCTION(extern Emptysw *esw_begin, (Tool *tool, char *name, short width, short height));


EXTERN_FUNCTION(extern Emptysw *esw_init, (int windowfd));
EXTERN_FUNCTION(extern void	esw_handlesigwinch, (struct emptysubwindow *esw));
EXTERN_FUNCTION(extern void	esw_done, (struct emptysubwindow *esw));

/*
 * Utility for initializing toolsw as empty subwindow in suntool environment
 */
EXTERN_FUNCTION(extern struct	toolsw *esw_createtoolsubwindow, ( Tool *tool, char *name, short width, short height));
