/*	@(#)times.h 2.5 88/02/08 SMI; from UCB 4.2 81/02/19	*/
#ifndef __sys_times_h
#define __sys_times_h


#include <c_varieties.h>
#include <sys/types.h>
/*
 * Structure returned by times()
 */
struct tms {
        clock_t tms_utime;              /* user time */
        clock_t tms_stime;              /* system time */
        clock_t tms_cutime;             /* user time, children */
        clock_t tms_cstime;             /* system time, children */
};

#ifndef KERNEL
EXTERN_FUNCTION( extern clock_t times, (struct tms *));
#endif

#endif /*__sys_times_h */
