/*ident "@(#)C++env:incl-master/proto-headers/sysent.h  1.4" */

#ifndef __SYSENT_H
#define __SYSENT_H

#include <c_varieties.h>

#include <sys/types.h>
#include <sys/ptrace.h>
#include <sys/wait.h>
#include <sys/time.h>

EXTERN_FUNCTION ( extern void    _exit, 	(int) );
EXTERN_FUNCTION ( extern int 	  on_exit,  	(void (*) (int, DOTDOTDOT), caddr_t) );
EXTERN_FUNCTION ( extern int      access, 	(const char*, int) );
EXTERN_FUNCTION ( extern int      acct, 	(const char*) );
EXTERN_FUNCTION ( extern unsigned alarm, 	(unsigned) );
EXTERN_FUNCTION ( extern unsigned ualarm, 	(unsigned, unsigned) );
EXTERN_FUNCTION ( extern int 	  auditon,  	(int) );
EXTERN_FUNCTION ( extern int 	  auditsvc, 	(int, int) );
EXTERN_FUNCTION ( extern int      brk, 		(caddr_t) );
EXTERN_FUNCTION ( extern int      chdir, 	(const char*) );
EXTERN_FUNCTION ( extern int 	  fchdir,   	(int) );
EXTERN_FUNCTION ( extern int      chmod, 	(const char*, mode_t) );
EXTERN_FUNCTION ( extern int      chown, 	(const char*, uid_t, gid_t) );
EXTERN_FUNCTION ( extern int      chroot, 	(const char*) );
EXTERN_FUNCTION ( extern int 	  fchroot,  	(int) );
EXTERN_FUNCTION ( extern int      close, 	(int) );
EXTERN_FUNCTION ( extern int      creat, 	(const char*, mode_t) );
EXTERN_FUNCTION ( extern int      dup, 		(int) );
EXTERN_FUNCTION ( extern int 	  dup2,		(int, int) );
EXTERN_FUNCTION ( extern int      execl, 	(const char*, const char*, DOTDOTDOT) );
EXTERN_FUNCTION ( extern int      execle, 	(const char*, const char*, DOTDOTDOT) );
EXTERN_FUNCTION ( extern int      execlp, 	(const char*, const char*, DOTDOTDOT) );
EXTERN_FUNCTION ( extern int      execv, 	(const char*, const char*[]) );
EXTERN_FUNCTION ( extern int      execve, 	(const char*, const char*[], char*[]) );
EXTERN_FUNCTION ( extern int      execvp, 	(const char*, const char*[]) );
EXTERN_FUNCTION ( extern void     exit, 	(int) );
EXTERN_FUNCTION ( extern pid_t    fork, 	(_VOID_) );
EXTERN_FUNCTION ( extern char*    getcwd, 	(char*, int) );
EXTERN_FUNCTION ( extern int 	  getauid,  	(_VOID_) );
EXTERN_FUNCTION ( extern gid_t 	  getegid, 	(_VOID_) );
EXTERN_FUNCTION ( extern uid_t    geteuid, 	(_VOID_) );
EXTERN_FUNCTION ( extern gid_t	  getgid, 	(_VOID_) );
EXTERN_FUNCTION ( extern uid_t    getuid, 	(_VOID_) );
EXTERN_FUNCTION ( extern pid_t    getpgrp, 	(DOTDOTDOT) );
EXTERN_FUNCTION ( extern pid_t    getpid, 	(_VOID_) );
EXTERN_FUNCTION ( extern pid_t    getppid, 	(_VOID_) );
EXTERN_FUNCTION ( extern int      ioctl,	(int, int, DOTDOTDOT) );
EXTERN_FUNCTION ( extern int      kill, 	(int, int) );
EXTERN_FUNCTION ( extern int      link, 	(const char*, const char*) );
EXTERN_FUNCTION ( extern int 	  lockf,	(int, int, long) );
EXTERN_FUNCTION ( extern off_t     lseek, 	(int, off_t, int) );
EXTERN_FUNCTION ( extern int      mknod, 	(const char*, int, int) );
EXTERN_FUNCTION ( extern int      mount, 	(const char*, const char*, int, caddr_t) );
EXTERN_FUNCTION ( extern int      nice, 	(int) );
EXTERN_FUNCTION ( extern int      open, 	(const char*, int, DOTDOTDOT) );
EXTERN_FUNCTION ( extern int      pause, 	(_VOID_) );
EXTERN_FUNCTION ( extern int      pipe,  	(int*) );
EXTERN_FUNCTION ( extern void     profil, 	(const char*, int, int, int) );
EXTERN_FUNCTION ( extern int      read, 	(int, char *, int) );
EXTERN_FUNCTION ( extern int 	  readlink,	(const char*, char*, int) );
EXTERN_FUNCTION ( extern caddr_t    sbrk, 	(int) );
EXTERN_FUNCTION ( extern int      setgid, 	(int) );
EXTERN_FUNCTION ( extern int      setpgrp, 	(DOTDOTDOT) );
EXTERN_FUNCTION ( extern int      setuid, 	(int) );
EXTERN_FUNCTION ( extern int 	  setauid,  	(int) );
EXTERN_FUNCTION ( extern int 	  select,   	(int, fd_set*, fd_set*, fd_set*, const struct timeval*) );
EXTERN_FUNCTION ( extern unsigned sleep, 	(unsigned) );
EXTERN_FUNCTION ( extern void	  usleep, 	(unsigned) );
EXTERN_FUNCTION ( extern int      stime, 	(long*) );
EXTERN_FUNCTION ( extern void     sync, 	(_VOID_) );
EXTERN_FUNCTION ( extern void     sys3b, 	(int, DOTDOTDOT) );
EXTERN_FUNCTION ( extern int      system, 	(const char*) );
EXTERN_FUNCTION ( extern long     ulimit, 	(int, long) );
EXTERN_FUNCTION ( extern mode_t      umask, 	(mode_t) );
EXTERN_FUNCTION ( extern int      umount, 	(const char*) );
EXTERN_FUNCTION ( extern int      unlink, 	(const char*) );
EXTERN_FUNCTION ( extern int      write, 	(int, const char*, unsigned int ) );
EXTERN_FUNCTION ( extern int 	  writev,   	(int, const struct iovec*, int) );
EXTERN_FUNCTION ( extern int 	  mkdir,	(const char*, mode_t) );
EXTERN_FUNCTION ( extern int 	  rmdir,	(const char*) );
EXTERN_FUNCTION ( extern int 	  rename,	(const char*, const char*) );
EXTERN_FUNCTION ( extern int 	  readv,    	(int, const struct iovec*, int) );
EXTERN_FUNCTION ( extern int 	  reboot,   	(int, const char*) );
EXTERN_FUNCTION ( extern int      nfssvc, 	(int) );
EXTERN_FUNCTION ( extern int 	  async_daemon,	(_VOID_) );
EXTERN_FUNCTION ( extern int      getdirentries,	(int, char*, int, long*) );
EXTERN_FUNCTION ( extern int 	  getdomainname, 	(char*, int) );
EXTERN_FUNCTION ( extern int 	  setdomainname,	(const char*, int) );
EXTERN_FUNCTION ( extern int      fchmod,		(int, int) );
EXTERN_FUNCTION ( extern int      fchown,		(int, int, int) );
EXTERN_FUNCTION ( extern int      fsync,		(int) );
EXTERN_FUNCTION ( extern int 	  getdents, 		(int, char *, int) );
EXTERN_FUNCTION ( extern int      getgroups,		(int, gid_t []) );
EXTERN_FUNCTION ( extern int      setgroups,		(int, const int*) );
EXTERN_FUNCTION ( extern int	  gethostname,		(char *, int) );
EXTERN_FUNCTION ( extern int      sethostname,		(const char*, int) );
EXTERN_FUNCTION ( extern int 	  shutdown,		(int, int) );
EXTERN_FUNCTION ( extern int 	  swapon,		(const char*) );
EXTERN_FUNCTION ( extern int      symlink,		(const char*, const char*) );
EXTERN_FUNCTION ( extern int      vfork,		(_VOID_) );
EXTERN_FUNCTION ( extern int 	  ftruncate,		(int, off_t) );
EXTERN_FUNCTION ( extern int      truncate,		(const char *, off_t) );
EXTERN_FUNCTION ( extern int      flock,		(int, int) );
EXTERN_FUNCTION ( extern long     gethostid,		(_VOID_) );
EXTERN_FUNCTION ( extern int      getpagesize,		(_VOID_) );
EXTERN_FUNCTION ( extern int      killpg,		(int, int) );
EXTERN_FUNCTION ( extern int      syscall,		(int ...) );
EXTERN_FUNCTION ( extern int      vadvise,		(int) );
EXTERN_FUNCTION ( extern int      unmount,		(const char*) );
EXTERN_FUNCTION ( extern int      setegid,		(int) );
EXTERN_FUNCTION ( extern int      seteuid,		(int) );
EXTERN_FUNCTION ( extern int      setreuid,		(int, int) );
EXTERN_FUNCTION ( extern int      setregid,		(int, int) );
EXTERN_FUNCTION ( extern int 	  setrgid,		(int) );
EXTERN_FUNCTION ( extern int      setruid,		(int) );
EXTERN_FUNCTION ( extern void 	  vhangup,		(_VOID_) );

EXTERN_FUNCTION ( extern int	getdtablesize, 	(_VOID_) );


EXTERN_FUNCTION ( extern int	sigblock, 	(int) );
EXTERN_FUNCTION ( extern int	sigsetmask, 	(int) );
#ifndef sigmask
EXTERN_FUNCTION ( int sigmask,  (int) );
#endif
EXTERN_FUNCTION ( extern int	sigpause, 	(int) );
EXTERN_FUNCTION ( extern pid_t  wait,   	(union wait*) );
EXTERN_FUNCTION ( extern int    wait3,    	(union wait*, int, struct rusage*) );

#endif
