/*	@(#)ttyent.h 1.3 88/02/07 SMI; from UCB 5.1 5/30/85	*/
#ifndef _ttyent_h
#define _ttyent_h

#include <c_varieties.h>

/*
 * Copyright (c) 1983 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 */

struct	ttyent { /* see getttyent(3) */
	char	*ty_name;	/* terminal device name */
	char	*ty_getty;	/* command to execute, usually getty */
	char	*ty_type;	/* terminal type for termcap (3X) */
	int	ty_status;	/* status flags (see below for defines) */
	char 	*ty_window;	/* command to start up window manager */
	char	*ty_comment;	/* usually the location of the terminal */
};

#define TTY_ON		0x1	/* enable logins (startup getty) */
#define TTY_SECURE	0x2	/* allow root to login */
#define TTY_LOCAL	0x4	/* local tty, supply software carrier */

EXTERN_FUNCTION ( extern struct ttyent *getttyent,	(_VOID_) );
EXTERN_FUNCTION ( extern struct ttyent *getttynam,	(const char*) );
EXTERN_FUNCTION ( extern void setttyent,		(_VOID_) );
EXTERN_FUNCTION ( extern void endttyent,		(_VOID_) );
EXTERN_FUNCTION ( extern int  ttyslot,	(_VOID_));

#endif

