/*      @(#)varargs.h 1.11 89/06/14 SMI; from UCB 4.1 83/05/03  */


#ifndef _sys_varargs_h
#define _sys_varargs_h

#include <c_varieties.h>

typedef char *va_list;
#if defined(sparc)
# define va_alist __builtin_va_alist
#endif

#if defined(__cplusplus)
# if defined(sparc)
# define va_tdcl(type) type va_alist1 ...
# define va_start(list) list = (char *) &va_alist1; \
         int *__cplus_builtin_va_alist = &va_alist
extern __builtin_va_alist;
# else
# define va_start(list) list = (char *) &va_alist
# define va_tdcl(type) type va_alist ...
# endif
#else
# define va_start(list) list = (char *) &va_alist
#endif

# define va_dcl int va_alist;
# define va_end(list)
# if defined(__BUILTIN_VA_ARG_INCR) && !defined(lint)
# if defined(__cplusplus)
extern "C" __builtin_va_arg_incr(...);
# endif
#    define va_arg(list,mode) ((mode*)__builtin_va_arg_incr((mode *)list))[0]
# else
#    define va_arg(list,mode) ((mode *)(list += sizeof(mode)))[-1]
# endif

EXTERN_FUNCTION ( extern int    vprintf, (const char*, va_list) );
EXTERN_FUNCTION ( extern int    vsprintf, (char*, const char*, va_list) );
#ifdef FILE
                /* define these only if you have stdio */
EXTERN_FUNCTION ( extern int    vfprintf, (FILE*, const char*, va_list) );
EXTERN_FUNCTION ( extern int    setvbuf, (FILE*, char*, int, int) );
#endif

#endif /*!_sys_varargs_h*/

