
/* @(#)dbm.h 1.7 88/02/08 SMI; from UCB 4.1 83/06/27 */
#ifndef __DBM_H
#define __DBM_H

#include <c_varieties.h>

#define	PBLKSIZ	1024
#define	DBLKSIZ	4096
#define	BYTESIZ	8
#ifndef NULL
#define	NULL	((char *) 0)
#endif

long	bitno;
long	maxbno;
long	blkno;
long	hmask;

char	pagbuf[PBLKSIZ];
char	dirbuf[DBLKSIZ];

int	dirf;
int	pagf;
int	dbrdonly;

typedef	struct
{
	char	*dptr;
	int	dsize;
} datum;

EXTERN_FUNCTION ( extern datum	fetch,		(datum) );
EXTERN_FUNCTION ( extern datum	makdatum,	(DOTDOTDOT) );
EXTERN_FUNCTION ( extern datum	firstkey,	(_VOID_) );
EXTERN_FUNCTION ( extern datum	nextkey,	(datum) );
EXTERN_FUNCTION ( extern datum	firsthash,	(DOTDOTDOT) );
EXTERN_FUNCTION ( extern long	calchash,	(DOTDOTDOT) );
EXTERN_FUNCTION ( extern long	hashinc,	(DOTDOTDOT) );

/*
 *  Additional decls to please C++.
 */
EXTERN_FUNCTION ( extern int dbminit,	(char *) );
EXTERN_FUNCTION ( extern int dbmclose, 	(_VOID_) );
EXTERN_FUNCTION ( extern int store,	(datum, datum) );

/* "delete" is a C++ keyword, so the following function can't be called
 * from within C++.
 *	EXTERN_FUNCTION ( extern int delete,	(datum) );
 */

#endif

