/*	@(#)pwd.h 1.5 88/02/07 SMI; from UCB 4.1 83/05/03	*/
#ifndef __pwd_h
#define __pwd_h

#include <c_varieties.h>
#ifndef FILE
#       include <stdio.h>
#endif

struct	passwd { /* see getpwent(3) */
	char	*pw_name;
	char	*pw_passwd;
	int	pw_uid;
	int	pw_gid;
	int	pw_quota;
	char	*pw_comment;
	char	*pw_gecos;
	char	*pw_dir;
	char	*pw_shell;
};

EXTERN_FUNCTION ( extern struct passwd *getpwent,	(_VOID_) );
EXTERN_FUNCTION ( extern struct passwd *getpwuid,	(int) );
EXTERN_FUNCTION ( extern struct passwd *getpwnam,	(const char *) );
EXTERN_FUNCTION ( extern struct passwd *fgetpwent,	(FILE *) );
EXTERN_FUNCTION ( extern int    	 setpwent,	(_VOID_) );
EXTERN_FUNCTION ( extern int		 endpwent,	(_VOID_) );
EXTERN_FUNCTION ( extern int		 putpwent,	(const struct passwd *, FILE *) );
EXTERN_FUNCTION ( extern void 		 setpwfile,	(const char *) );
EXTERN_FUNCTION ( extern int		 pwdauth,	(char*, char*));
EXTERN_FUNCTION ( extern int 		getpw,		(int,char *));

#endif

