
/*	@(#)nsaddr.h 1.4 88/08/19 SMI 	*/

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/* #ident	"@(#)head:nsaddr.h	1.3.1.1" */

#ifndef _rfs_nsaddr_h
#define _rfs_nsaddr_h

#include <c_varieties.h>

#define	OCT	0	/* octal type */
#define	HEX	1	/* hexadecimal type */
#define	RRAW	2	/* string type */
#define KEEP	8	/* keep protocol field	*/

struct address {
	char		*protocol;
	struct netbuf	addbuf;
};

/*
 *	stoa - convert string to address
 *	atos - convert address to string
 */
EXTERN_FUNCTION(extern struct netbuf	*stoa,		(char *, struct netbuf *));
EXTERN_FUNCTION(extern char		*atos,		(char *, struct netbuf *, int));
EXTERN_FUNCTION(extern struct address	*astoa,		(char *, struct address *));
EXTERN_FUNCTION(extern char		*aatos,		(char *, struct address *, int));

#endif /*!_rfs_nsaddr_h*/
