/*	@(#)search.h 1.3 88/02/07 SMI; from S5R2 1.2	*/
#ifndef _search_h
#define _search_h

#include <c_varieties.h>

/* HSEARCH(3C) */
typedef struct entry { char *key, *data; } ENTRY;
typedef enum { FIND, ENTER } ACTION;

EXTERN_FUNCTION ( extern ENTRY *hsearch, (ENTRY, ACTION) );
EXTERN_FUNCTION ( extern int hcreate, 	 (unsigned) );
EXTERN_FUNCTION ( extern void hdestroy,  (_VOID_) );

/* TSEARCH(3C) */
typedef enum { preorder, postorder, endorder, leaf } VISIT;

EXTERN_FUNCTION ( extern char *tsearch, (const char*, char**, 
					 int (*)(char *, char *)) );
EXTERN_FUNCTION ( extern char *tfind, 	(const char*, char**, 
					 int (*)(char *, char *)) );
EXTERN_FUNCTION ( extern char *tdelete, (const char*, char**, 
					 int (*)(char *, char *)) );
EXTERN_FUNCTION ( extern void twalk,	(char*, 
					 void (*)(char *,VISIT,int)) );

/* BSEARCH(3C) */
EXTERN_FUNCTION ( extern char *bsearch,	(const char*, char*, unsigned, int, int (*)(const void*, const void*)) );

EXTERN_FUNCTION ( extern char *lsearch, (const char*, char*, unsigned*, unsigned, int(*)(const void*,const void*)) );
EXTERN_FUNCTION ( extern char *lfind, 	(const char*, char*, unsigned*, unsigned, int(*)(const void*,const void*)) );

#endif

