/*ident	"@(#)C++env:incl-master/const-headers/stdarg.h	1.3" */
/*      @(#)varargs.h 1.11 89/06/14 SMI; from UCB 4.1 83/05/03  */
/**************************************************************************
			Copyright (c) 1984 AT&T
	  		  All Rights Reserved  	

	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T

	The copyright notice above does not evidence any   	
	actual or intended publication of such source code.

*****************************************************************************/
/* stdarg.h */
/* ADAPTED FROM: */
/*	@(#)varargs.h	1.2	*/

#if !defined(STDARGH)
#define STDARGH

#include <c_varieties.h>

/*
	USAGE:
		f( arg-declarations ... ) {
			va_list ap;
			va_start(ap, parmN);	// parmN == last named arg
			// ...
			type arg = va_arg(ap, type);
			// ...
			va_end(ap);
		}
*/

#ifndef va_start

#ifdef sparc
#   define va_alist __builtin_va_alist
#endif

#ifdef pyr
typedef int     va_buf[3];
typedef va_buf  *va_list;

EXTERN_FUNCTION ( extern void     _vastart, (va_list, char*) );
EXTERN_FUNCTION ( extern char     *_vaarg, (va_list, int) );

#define         va_start(ap, parmN)     {\
        va_buf  _va;\
        _vastart(ap = (va_list)_va, (char *)&parmN + sizeof parmN)
#define         va_end(ap)      }
#define         va_arg(ap, mode)        *((mode *)_vaarg(ap, sizeof (mode)))
#else
typedef char *va_list;
#define va_end(ap)
#ifdef u370
#define va_start(ap, parmN) ap =\
	(char *) ((int)&parmN + 2*sizeof(parmN) - 1 & -sizeof(parmN))
#define va_arg(ap, mode) ((mode *)(ap = \
	(char *) ((int)ap + 2*sizeof(mode) - 1 & -sizeof(mode))))[-1]
#else
#ifdef hp9000s800
#define va_start(ap, parmN) (ap = (char *)&parmN + sizeof(parmN),(void)va_arg(ap,int))
#define va_arg(ap, mode) ((mode *)(ap = (char *)((int)(ap-sizeof(mode)) & ~(sizeof(mode)-1))))[0]
#else

#ifdef sparc
extern __builtin_va_alist;
#define va_start(ap, parmN) ap = (char *)( &__builtin_va_alist )
#else
#define va_start(ap, parmN) ap = (char *)( &parmN+1 )
#endif
# if defined(__BUILTIN_VA_ARG_INCR) && !defined(lint)
# if defined(__cplusplus)
extern "C" __builtin_va_arg_incr(...);
# endif
#    define va_arg(ap, mode) ((mode*)__builtin_va_arg_incr((mode *)ap))[0]
# else
#    define va_arg(ap, mode) ((mode *)(ap += sizeof(mode)))[-1]
# endif

#endif
#endif
#endif

#if !pyr || !BSD
EXTERN_FUNCTION ( extern int    vprintf, (const char*, va_list) );
EXTERN_FUNCTION ( extern int    vsprintf, (char*, const char*, va_list) );
#ifdef FILE
                /* define these only if you have stdio */
EXTERN_FUNCTION ( extern int    vfprintf, (FILE*, const char*, va_list) );
EXTERN_FUNCTION ( extern int    setvbuf, (FILE*, char*, int, int) );
#endif
#endif

#endif

#endif
