/*	@(#)strings.h 1.5 88/02/07 SMI; from UCB 4.1 83/05/26	*/
#ifndef _strings_h
#define _strings_h

#include <c_varieties.h>
#include <sys/stdtypes.h>
/*
 * External function definitions
 * for routines described in string(3).
 */
EXTERN_FUNCTION ( extern char	*strcpy,	(char *, const char *) );
EXTERN_FUNCTION ( extern char	*strncpy,	(char *, const char *, size_t) );
EXTERN_FUNCTION ( extern char	*strcat,	(char *, const char *) );
EXTERN_FUNCTION ( extern char	*strncat,	(char *, const char *, size_t) );
EXTERN_FUNCTION ( extern char   *strchr,	(const char*, int) );
EXTERN_FUNCTION ( extern char   *strrchr,	(const char*, int) );
EXTERN_FUNCTION ( extern char   *strpbrk,	(const char*, const char*) );
EXTERN_FUNCTION ( extern char   *strtok,	(char*, const char*) );

EXTERN_FUNCTION ( extern int	strcmp,		(const char *, const char *) );
EXTERN_FUNCTION ( extern int	strncmp,	(const char *, const char *, size_t) );
EXTERN_FUNCTION ( extern size_t	strlen,		(const char *) );
EXTERN_FUNCTION ( extern size_t    strspn,		(const char*, const char*) );
EXTERN_FUNCTION ( extern size_t    strcspn,	(const char*, const char*) );

EXTERN_FUNCTION ( extern char	*index,		(const char *, char) );
EXTERN_FUNCTION ( extern char	*rindex,	(const char *, char) );
EXTERN_FUNCTION ( extern char   *strdup,	(const char *));
EXTERN_FUNCTION ( extern int 	strcasecmp,	(char*, char*));
EXTERN_FUNCTION ( extern int    strncasecmp, 	(char*, char*, int));

#endif
