/*	@(#)setjmp.h 1.5 89/09/08 SMI; from UCB 4.1 83/05/03	*/

#ifndef	__sparc_setjmp_h
#define	__sparc_setjmp_h
#include <c_varieties.h>

/*
 * onsstack,sigmask,sp,pc,npc,psr,g1,o0,wbcnt (sigcontext).
 * All else recovered by under/over(flow) handling.
 */
#define	_JBLEN	9

typedef	int jmp_buf[_JBLEN];

/*
 * One extra word for the "signal mask saved here" flag.
 */
typedef	int sigjmp_buf[_JBLEN+1];

EXTERN_FUNCTION( extern int	setjmp,		( jmp_buf ));
EXTERN_FUNCTION( extern int	_setjmp,	( jmp_buf ));
EXTERN_FUNCTION( extern int	sigsetjmp,	( sigjmp_buf , int ));
EXTERN_FUNCTION( extern void	longjmp,	( jmp_buf , int ));
EXTERN_FUNCTION( extern void	_longjmp,	( jmp_buf , int ));
EXTERN_FUNCTION( extern void	siglongjmp,	( sigjmp_buf , int ));

/*
 * Routines that call setjmp have strange control flow graphs,
 * since a call to a routine that calls resume/longjmp will eventually
 * return at the setjmp site, not the original call site.  This
 * utterly wrecks control flow analysis.
 */
#pragma unknown_control_flow(sigsetjmp, setjmp, _setjmp)

#endif	/* !__sparc_setjmp_h */
