/*	@(#)msgsw.h 10.6 88/02/08 SMI	*/

/*
 * Copyright (c) 1983 by Sun Microsystems, Inc.
 */

/*
 * A msg subwindow is a window in which a simple ascii string can be dispalyed.
 */

#include <c_varieties.h>

/*
 * The contents of struct msgsubwindow is considered private to the
 * implementation of the message subwindow.
 */
typedef	struct msgsubwindow {
	int	msg_windowfd;
	char	*msg_string;
	struct	pixfont *msg_font;
	struct	rect msg_rectcache;
	struct	pixwin *msg_pixwin;
} Msgsw;

#define MSGSW_NULL      ((Msgsw *)0)




/*
 * C Library routines specifically related to msg subwindow functions.
 */

/*
 * Empty subwindow operations.
 */
EXTERN_FUNCTION(extern Msgsw	*msgsw_create, (struct tool *tool, char *name, short width, short height,
	    char *string, struct pixfont *font));
EXTERN_FUNCTION(extern void	msgsw_setstring, (Msgsw *msgsw, char *string));
EXTERN_FUNCTION(extern void	msgsw_display, (Msgsw *msgsw));
EXTERN_FUNCTION(extern void	msgsw_done, (Msgsw *msgsw));

/*
 * Obsolete (but implemented) operations:
 */
EXTERN_FUNCTION(extern struct	msgsubwindow *msgsw_init,  (
	    int windowfd, char *string, struct pixfont *font));
EXTERN_FUNCTION(extern struct	toolsw *msgsw_createtoolsubwindow, (
	    struct tool *tool, char *name, short width, short height,
	    char *string, struct pixfont *font));
EXTERN_FUNCTION(extern void	msgsw_handlesigwinch, (struct msgsubwindow *msgsw));

