/*	@(#)bitmask.h 1.3 88/02/08 SMI */

/*
 *  Bitmask handling declarations
 */

#ifndef bitmask_h
#define bitmask_h

#ifndef C_VARIETIES_H
#include <c_varieties.h>
#endif

typedef struct bm_ {
    unsigned int *bm_mask;
    int bm_max_bits;
    int bm_mask_size;
} Bitmask;

#ifndef BITSPERBYTE
#define BITSPERBYTE 8
#endif

#ifndef bitmask_c

EXTERN_FUNCTION (extern Bitmask * sv_bits_new_mask,	(int));
EXTERN_FUNCTION (extern void sv_bits_dispose_mask,	(Bitmask *));
EXTERN_FUNCTION (extern Bitmask * sv_bits_set_mask,	(Bitmask *, int));
EXTERN_FUNCTION (extern unsigned int sv_bits_get_mask,	(Bitmask *, int));
EXTERN_FUNCTION (extern int sv_bits_cmp_mask,	(Bitmask *, Bitmask *));
EXTERN_FUNCTION (extern Bitmask * sv_bits_copy_mask,	(Bitmask *));

#endif bitmask_c

#endif bitmask_h
