/*	@(#)sun.h 10.7 88/02/08 SMI */

/*
 * Copyright (c) 1985 by Sun Microsystems, Inc.
 */

#ifndef sunwindow_sun_DEFINED
#define sunwindow_sun_DEFINED

#ifndef C_VARIETIES_H
#include <c_varieties.h>
#endif

#include <sys/stdtypes.h>       /* to get size_t */

#if !(defined(stdio_DEFINED) || defined(FILE))
#include <stdio.h> 
EXTERN_FUNCTION ( extern FILE	*popen,	(const char *, const char *) );
#endif

EXTERN_FUNCTION ( extern int atoi,	(const char *) );
EXTERN_FUNCTION ( extern double atof,	(const char *) );
EXTERN_FUNCTION ( extern char *ctime,	(long *) );
EXTERN_FUNCTION ( extern char *malloc,	(size_t) );
EXTERN_FUNCTION ( extern char *calloc,	(size_t, size_t) );
EXTERN_FUNCTION ( extern char *strcpy,	(char *, const char *) );
EXTERN_FUNCTION ( extern char *sprintf,	(char *, const char *, DOTDOTDOT) );

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

#ifndef Bool_DEFINED
typedef enum {False = 0, True = 1} Bool;
#endif

#define strequal(s1, s2) (strcmp(s1, s2) == 0)
/*
 * No longer needed for releases 4.0 and up
 * #define strdup(str)   (strcpy(malloc((unsigned) strlen(str) + 1), str))
 */
EXTERN_FUNCTION ( extern char *strdup, 	(const char*) );

/*
 * Get some storage and copy a string. Note that str is evaluated twice,
 * so no side effects.
 */
#define ord(e)  ((int) (e))
/*
 * Make an enum usable as an integer
 * Successor or predecessor macros might also be convenient, but
 * much less so.
 */

#define FOREVER for (;;)

#ifndef MIN
#define MIN(x, y) ( ((x) < (y)) ? (x) : (y) )
#endif

#ifndef MAX
#define MAX(x, y) ( ((x) > (y)) ? (x) : (y) )
#endif

#ifndef LINT_CAST
#ifdef lint
#define LINT_CAST(arg)	(arg ? 0 : 0)
#else
#define LINT_CAST(arg)	(arg)
#endif lint
#endif LINT_CAST

#endif
