/*	@(#)time.h 1.8 88/02/07 SMI; not from UCB */
#ifndef __time_h
#define __time_h

/*
 * Structure returned by gmtime and localtime calls (see ctime(3)).
 */
#include <c_varieties.h>
#include <sys/types.h>

struct tm {
	int	tm_sec;
	int	tm_min;
	int	tm_hour;
	int	tm_mday;
	int	tm_mon;
	int	tm_year;
	int	tm_wday;
	int	tm_yday;
	int	tm_isdst;
	char	*tm_zone;
	long	tm_gmtoff;
};

EXTERN_FUNCTION ( extern	struct tm *gmtime,	(long *) );
EXTERN_FUNCTION ( extern	struct tm *localtime,	(long *) );
EXTERN_FUNCTION ( extern	char *asctime,		(struct tm *) );
EXTERN_FUNCTION ( extern	char *ctime,		(long *) );
EXTERN_FUNCTION ( extern	void tzset,		(_VOID_) );
EXTERN_FUNCTION ( extern	void tzsetwall,		(_VOID_) );

EXTERN_FUNCTION ( extern 	int dysize,		(int) );
EXTERN_FUNCTION ( extern	time_t timelocal,	(struct tm *) );
EXTERN_FUNCTION ( extern	time_t timegm,		(struct tm *) );

/*
 *  Additional decls to please c++.
 */
EXTERN_FUNCTION ( extern 	time_t time,		(time_t *) );
EXTERN_FUNCTION ( extern	char * timezone,	(int, int) );
EXTERN_FUNCTION ( extern	char * strptime,	(char*, char*, struct tm*) );
EXTERN_FUNCTION ( extern	int	strftime,	(char*, char*, struct tm*) );

#endif

